#! /nfs/data2/berkes/local/bin/python
import kali

# CHANGE THIS TO MATCH YOUR LOCAL PATH
local_kali_path = '/nfs/home2/berkes/src/python/kali/'

# name of the command to be executed remotely
command = local_kali_path + 'a_clever_experiment'
# path where the log files are saved
logpath = local_kali_path + 'log/'
# name of the log files; the %d parts are format strings that are substituted
# with the arguments to the script, like in the C and Matlab command sprintf
logname = 'log_file_arg1_%d_arg2_%d'

machine_names = ['barlow', 'zhora']

# create a list of 20 sets of arguments for the commands
# args = [[0,0], [1,2], [2,4], ...]
args = [[i, i*2] for i in range(20)]

# the list of all tasks. Here we have just one task (start_matlab_code)
# that will be called with 10 different arguments on 10 processors
# The thirs element, None, indicate that the minimum amount of memory
# required to run the program is taken to be the default one.
tasks = [(command, args, None)]

# create an instance of the kali TaskManager
# sleep_time shows how many seconds it will wait before checking
# the machines for free processors (in sec)
task_manager = kali.TaskManager(machine_names, tasks,
                                logpath, logname,
                                sleep_time=20, default_mem=0.3e6)
# start the task_manager
task_manager.run()
